Skip to Content
0
Former Member
Jul 23, 2007 at 07:10 AM

java -version error when trying to do an upgrade

166 Views

Hi gurus

i am having this problem with my java on SUSE 9.1

  1. java -version

Error occurred during initialization of VM

Unable to load native library: /usr/lib/SunJava2-1.3.1/jre/lib/i386/libjava.so: symbol __libc_wait, version GLIBC_2.0 not defined in file libc.so.6 with link time reference

  1. which java

/usr/lib/java/jre/bin/java

my java installation is in /usr/java/j2sdk1.4.2_09 and i have defined this in .bashrc for my sidadm as i need to do an upgrade

JAVA_HOME=/usr/java/j2sdk1.4.2_09/bin/java

export PATH=/usr/java/j2sdk1.4.2_09/bin:$PATH

export CLASSPATH=/usr/java/j2sdk1.4.2_09/lib

Any ideas will be welcome